View Issue Details

IDProjectCategoryView StatusLast Update
13894Bug reports[All Projects] Expression Managerpublic2018-08-07 17:01
ReporterEmanuela_Erba Assigned ToDenisChenu  
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.13.x 
Summary13894: relevant equation in subquestion don't function
Description

If you create a dual scale array with dropbox visualization and create some subquestions, if you try to create a subquestion SQ02 with relevant equation like this (!is_empty(DUAL1_SQ01_1)) (DUAL1 AS as question, SQ01 as first subquestion), it doesn't function. If you use a previous version of lime survey there isn't this problem.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Versione 3.13.1+180629
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionlocal
Server OS (if known)local
Webserver software & version (if known)local
PHP Versionlocal

Activities

DenisChenu

DenisChenu

2018-07-23 18:39

developer   ~48551

Can you provide a simple lss (just one or 2 questions) with this issue please ?

Emanuela_Erba

Emanuela_Erba

2018-07-27 09:23

reporter   ~48588

This is a simple example.



limesurvey_survey_727317.lss (35,289 bytes)
DenisChenu

DenisChenu

2018-07-27 12:55

developer   ~48589

Last edited: 2018-07-27 12:56

View 2 revisions

Cleaned lss (fix question code + remove JS), ok can confirm it work on 2.73, not in last 3.13.2 github version



limesurvey_survey_sqequation-cleaned.lss (27,957 bytes)
DenisChenu

DenisChenu

2018-07-27 12:58

developer   ~48590

Cleaned AND fixed : confirm again :)



limesurvey_survey_sqequation-cleaned-and-fixed.lss (28,244 bytes)
DenisChenu

DenisChenu

2018-07-27 14:11

developer   ~48591

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27703

DenisChenu

DenisChenu

2018-07-27 14:12

developer   ~48592

You can just update the script file for previous 3.X release

markusfluer

markusfluer

2018-08-07 17:01

administrator   ~48710

Release 3.14.2+180807

Related Changesets

LimeSurvey: master 8c06cd28

2018-07-27 14:11:16

DenisChenu

Details Diff
Fixed issue 13894: EM with dualscale value didn't work
Dev: bad on js fix …
Affected Issues
13894
mod - application/helpers/qanda_helper.php Diff File
mod - assets/scripts/dualscale.js Diff File

Issue History

Date Modified Username Field Change
2018-07-23 14:13 Emanuela_Erba New Issue
2018-07-23 18:39 DenisChenu Note Added: 48551
2018-07-27 09:23 Emanuela_Erba File Added: limesurvey_survey_727317.lss
2018-07-27 09:23 Emanuela_Erba Note Added: 48588
2018-07-27 12:55 DenisChenu File Added: limesurvey_survey_sqequation-cleaned.lss
2018-07-27 12:55 DenisChenu Note Added: 48589
2018-07-27 12:56 DenisChenu Note Edited: 48589 View Revisions
2018-07-27 12:58 DenisChenu File Added: limesurvey_survey_sqequation-cleaned-and-fixed.lss
2018-07-27 12:58 DenisChenu Note Added: 48590
2018-07-27 13:26 DenisChenu Assigned To => DenisChenu
2018-07-27 13:26 DenisChenu Status new => assigned
2018-07-27 14:11 DenisChenu Changeset attached => LimeSurvey master 8c06cd28
2018-07-27 14:11 DenisChenu Note Added: 48591
2018-07-27 14:11 DenisChenu Resolution open => fixed
2018-07-27 14:12 DenisChenu Status assigned => resolved
2018-07-27 14:12 DenisChenu Fixed in Version => 3.13.x
2018-07-27 14:12 DenisChenu Note Added: 48592
2018-08-07 17:01 markusfluer Status resolved => closed
2018-08-07 17:01 markusfluer Note Added: 48710